class PrefeeDetailModel {
  num? totalFee;
  List<ItemOfPreFeeDetailModel>? item;

  PrefeeDetailModel({
    this.totalFee,
    this.item,
  });

  PrefeeDetailModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    totalFee = map['totalFee'];
    item = List<ItemOfPreFeeDetailModel>.from(
        (map["item"] ?? []).map((x) => ItemOfPreFeeDetailModel.fromJson(x)));
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['totalFee'] = this.totalFee;
    json['item'] = List<dynamic>.from((item ?? []).map((x) => x.toJson()));

    return json;
  }
}

class ItemOfPreFeeDetailModel {
  String? assetName;
  String? assetType;
  num? fee;
  List<FeeListOfItemOfPreFeeDetailModel>? feeList;

  ItemOfPreFeeDetailModel({
    this.assetName,
    this.assetType,
    this.fee,
    this.feeList,
  });

  ItemOfPreFeeDetailModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    assetName = map['assetName'];
    assetType = map['assetType'];
    fee = map['fee'];
    feeList = List<FeeListOfItemOfPreFeeDetailModel>.from((map["feeList"] ?? [])
        .map((x) => FeeListOfItemOfPreFeeDetailModel.fromJson(x)));
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['assetName'] = this.assetName;
    json['assetType'] = this.assetType;
    json['fee'] = this.fee;
    json['feeList'] =
        List<dynamic>.from((feeList ?? []).map((x) => x.toJson()));

    return json;
  }
}

class FeeListOfItemOfPreFeeDetailModel {
  String? feeName;
  num? fee;

  FeeListOfItemOfPreFeeDetailModel({
    this.feeName,
    this.fee,
  });

  FeeListOfItemOfPreFeeDetailModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    feeName = map['feeName'];
    fee = map['fee'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['feeName'] = this.feeName;
    json['fee'] = this.fee;

    return json;
  }
}
